Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: VMware Player \ several modules must be compiled  (Прочитано 414 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн freeneutron

  • Автор темы
  • Любитель
  • *
  • Сообщений: 75
    • Просмотр профиля
VMware Player \ several modules must be compiled
« : 11 Апрель 2016, 09:48:23 »
Установил VMwarePlayer
(Нажмите, чтобы показать/скрыть)
При запуске получаю такое сообщение:
(Нажмите, чтобы показать/скрыть)
Что это значит, и  что тут можно сделать?


Правила форума
Цитата: Правила форума
1.5. Для добавления графических изображений в сообщения требуется использовать внешние сервисы. Подробную инструкцию, а так же список рекомендованных и запрещенных сервисов можно посмотреть в «Руководстве по добавлению изображений на форум».
Изображение убрал под спойлер
--БТР

« Последнее редактирование: 11 Апрель 2016, 16:04:41 от maks05 »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5141
    • Просмотр профиля
Re: VMware Player \ several modules must be compiled
« Ответ #1 : 11 Апрель 2016, 15:37:19 »
Что это значит, и  что тут можно сделать?

нужно установить хидеры ядра, чтобы скомпилировались нужные модули. В системе пакет linux-headers-3.16.0-57-generic установлен?

нужная версия хидеров должна подтягиваться автоматически вместе с обновлением ядра, надо поставить соответствующий метапакет.

Оффлайн freeneutron

  • Автор темы
  • Любитель
  • *
  • Сообщений: 75
    • Просмотр профиля
Re: VMware Player \ several modules must be compiled
« Ответ #2 : 11 Апрель 2016, 16:42:10 »
Кстати, забыл сказать. У меня из-за проблем с винтом в стартовом меню отказали пункты: Ubuntu и Ubuntu-lowlatency. Поэтому я запускаю систему через Advanced options -> linux-headers-3.16.0-57-generic. Возможно это как-то связано.
А вообще хочу спросить: как поставить соответствующий метапакет?

пс
И извините за нарушение правил. С оформлением проблем нету ни каких, просто я подзабыл правила с последнего прочтения ))

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5141
    • Просмотр профиля
Re: VMware Player \ several modules must be compiled
« Ответ #3 : 11 Апрель 2016, 16:59:58 »
freeneutron, причина как раз в этом - для ядра generic не установлены хидеры.

нужно восстановить загрузку пунктов меню ядер, для начала попробуйте
sudo update-grub
что за проблемы с HDD? если он неисправен, то держать на нём ценную информацию противопоказано.

Если у вас установлен релиз 14.04, то generic  метапакетом с ядром 3.16 будет linux-generic-lts-utopic.
sudo apt-get update
sudo apt-get install linux-generic-lts-utopic

 

Страница сгенерирована за 0.061 секунд. Запросов: 24.